Bug 999320 - clang-3.3 compile error with boost 1.53 signals
clang-3.3 compile error with boost 1.53 signals
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: boost (Show other bugs)
19
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Petr Machata
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1444258
  Show dependency treegraph
 
Reported: 2013-08-21 03:24 EDT by Markus S
Modified: 2017-04-20 21:23 EDT (History)
5 users (show)

See Also:
Fixed In Version: boost-1.53.0-12.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1444258 (view as bug list)
Environment:
Last Closed: 2013-08-24 18:30:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Markus S 2013-08-21 03:24:35 EDT
boost 1.53 (shipped with fedora 19) needs the patch (wich is included in boost 1.54) from https://svn.boost.org/trac/boost/ticket/8102

when used with clang++ for compiling code using boost::signals2::signal

Othewise, compiling code like this fails:

  #include <boost/signals2/signal.hpp>
  int main()
  {
    boost::signals2::signal<void()> s;
    s();
  }

Compiled using 
  clang++ -c --std=c++11 

The boost patch is not needed for compiling using g++ (4.8.1).

Note:
g++     --version = g++ (GCC) 4.8.1 20130603 (Red Hat 4.8.1-1)
clang++ --version = clang version 3.3 (tags/RELEASE_33/rc3)

Compiler error:
In file included from test.cpp:1:
In file included from /usr/include/boost/signals2/signal.hpp:38:
In file included from /usr/include/boost/signals2/variadic_signal.hpp:21:
/usr/include/boost/signals2/detail/variadic_slot_invoker.hpp:89:16: error: no matching function for call to 'get'
          func(std::get<indices>(args)...);
               ^~~~~~~~~~~~~~~~~
Comment 1 Fedora Update System 2013-08-21 10:46:07 EDT
boost-1.53.0-12.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/boost-1.53.0-12.fc19
Comment 2 Fedora Update System 2013-08-21 20:45:19 EDT
Package boost-1.53.0-12.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing boost-1.53.0-12.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15101/boost-1.53.0-12.fc19
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-08-24 18:30:28 EDT
boost-1.53.0-12.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.